INTERFACE
SUBROUTINE PTENDCOR(LDSHIP,LDTEND,LDSHIPC,PLAT,PLON,POBMANT,&
 & PUSHIP,KUSHIPF,PVSHIP,KVSHIPF,&
 & PRESS,PTEND,KPTENFL,&
 & PUWIND,KUWINDF,PVWIND,KVWINDF ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
LOGICAL ,INTENT(IN) :: LDSHIP
LOGICAL ,INTENT(OUT) :: LDTEND
LOGICAL ,INTENT(OUT) :: LDSHIPC
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT
REAL(KIND=JPRB) :: PLON
REAL(KIND=JPRB) ,INTENT(IN) :: POBMANT
REAL(KIND=JPRB) ,INTENT(IN) :: PUSHIP
INTEGER(KIND=JPIM),INTENT(IN) :: KUSHIPF
REAL(KIND=JPRB) ,INTENT(IN) :: PVSHIP
INTEGER(KIND=JPIM),INTENT(IN) :: KVSHIPF
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESS
REAL(KIND=JPRB) ,INTENT(IN) :: PTEND
INTEGER(KIND=JPIM),INTENT(IN) :: KPTENFL
REAL(KIND=JPRB) ,INTENT(IN) :: PUWIND
INTEGER(KIND=JPIM),INTENT(IN) :: KUWINDF
REAL(KIND=JPRB) ,INTENT(IN) :: PVWIND
INTEGER(KIND=JPIM),INTENT(IN) :: KVWINDF
END SUBROUTINE PTENDCOR
END INTERFACE
